Where can I find the libstdc++.so.6(GLIBCXX_3.4.5)rpm for CentOS 4.6?

Issues related to software problems
Post Reply
tbolt
Posts: 12
Joined: 2009/04/21 22:15:42

Where can I find the libstdc++.so.6(GLIBCXX_3.4.5)rpm for CentOS 4.6?

Post by tbolt » 2009/05/03 21:48:52

Hello,

Where can I find the libstdc++.so.6(GLIBCXX_3.4.5).rpm for CentOS 4.6?

I get an error message that says it can't be found when I try and run Acrobat Reader.

Thanks,

User avatar
toracat
Forum Moderator
Posts: 7386
Joined: 2006/09/03 16:37:24
Location: California, US
Contact:

Re: Where can I find the libstdc++.so.6(GLIBCXX_3.4.5)rpm for CentOS 4.6?

Post by toracat » 2009/05/03 21:58:11

Try a [b]yum install libstdc++[/b] . By the way, what is the output from:

cat /proc/version
cat /etc/redhat-release

tbolt
Posts: 12
Joined: 2009/04/21 22:15:42

Re: Where can I find the libstdc++.so.6(GLIBCXX_3.4.5)rpm for CentOS 4.6?

Post by tbolt » 2009/05/03 22:10:36

Thanks, I was heading in that direction. Reading up on yum just as you replied.

I'm new to Linux but, I had a lot of previous UNIX experience some years ago.

[envdiag@localhost ~]$ cat /proc/version
Linux version 2.6.9-67.ELhugemem (mockbuild@builder10.centos.org) (gcc version 3.4.6 20060404 (Red Hat 3.4.6-9)) #1 SMP Fri Nov 16 13:04:12 EST 2007
[envdiag@localhost ~]$
[envdiag@localhost ~]$
[envdiag@localhost ~]$ cat /etc/redhat-release
CentOS release 4.6 (Final)
[envdiag@localhost ~]$

I will give the yum command a try now.

Thanks for the reply, very much appreciated.

User avatar
toracat
Forum Moderator
Posts: 7386
Joined: 2006/09/03 16:37:24
Location: California, US
Contact:

Re: Where can I find the libstdc++.so.6(GLIBCXX_3.4.5)rpm for CentOS 4.6?

Post by toracat » 2009/05/03 22:17:01

My only comment at this point is that your system is not up to date (it is CentOS 4.7 currently). Unless you must stay at 4.6, I recommend you run 'yum update' to get all security patches and bug fixes.

tbolt
Posts: 12
Joined: 2009/04/21 22:15:42

Re: Where can I find the libstdc++.so.6(GLIBCXX_3.4.5)rpm for CentOS 4.6?

Post by tbolt » 2009/05/04 20:58:26

I have updated the system using YUM to 4.7

Here is the message I'm still getting:
[envdiag@tbolt ~]$ /opt/Adobe/Reader9/Reader/intellinux/bin/acroread: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.5' not found (required by /opt/Adobe/Reader9/Reader/intellinux/bin/acroread)

Also, when I try and access the CentOS documentation in PDF format I get:
Could not launch Adobe Reader 9.1.0 Please make sure it exists in PATH variable in the environment. If the problem persists
please reinstall the application.

At this point I have Reader 9, Reader 8 and Reader 7 all installed.- I can't get any of them to execute

The app I'm using requires Reader 7

Appreciate any suggestions.

Thanks,

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: Where can I find the libstdc++.so.6(GLIBCXX_3.4.5)rpm for CentOS 4.6?

Post by pschaff » 2009/05/05 18:00:45

The adobe executables seem to be build for a later version of the system libraries than provided with 4.7:
# rpm -qf /usr/lib/libstdc++.so.6
libstdc++-3.4.6-10
# rpm -q --provides libstdc++-3.4.6-10
libstdc++ = 3.4.3-26
libstdc++.so.6
libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(CXXABI_1.3.1)
libstdc++.so.6(GLIBCXX_3.4)
libstdc++.so.6(GLIBCXX_3.4.1)
libstdc++.so.6(GLIBCXX_3.4.2)
libstdc++.so.6(GLIBCXX_3.4.3)
libstdc++34
libstdc++ = 3.4.6-10

Can you use xpdf or gpdf?

foxb
Posts: 1924
Joined: 2006/04/20 19:03:33
Location: Montreal/QC

Where can I find the libstdc++.so.6(GLIBCXX_3.4.5)rpm for Ce

Post by foxb » 2009/05/05 18:02:53

[quote]
Linux

* 32-bit Intel Pentium processor or equivalent
* Red Hat® Linux WS 5, SUSE® Linux Enterprise Desktop (SLED) 10 SP2 or Ubuntu 7.10
* GNOME or KDE Desktop Environment
* 512MB of RAM (1GB recommended)
* 150MB of available hard-disk space (additional 75MB required for all supported font packs)
* GTK+ (GIMP Toolkit) user interface library, version 2.6 or later
* Firefox 2.0 or later
* OpenLDAP and CUPS libraries
[/quote]

Above is requited for v9, but v8 works.

http://ardownload.adobe.com/pub/adobe/reader/unix/8.x/8.1.4/enu/AdobeReader_enu-8.1.4-1.i486.rpm

User avatar
toracat
Forum Moderator
Posts: 7386
Joined: 2006/09/03 16:37:24
Location: California, US
Contact:

Re: Where can I find the libstdc++.so.6(GLIBCXX_3.4.5)rpm for CentOS 4.6?

Post by toracat » 2009/05/05 18:19:37

[quote]
tbolt wrote:

The app I'm using requires Reader 7
[/quote]
I have one CentOS-4 box (i386) running Acrobat Reader 7. It was installed from AdobeReader_enu-7.0.8-1.i386.rpm. However, I think this is obsolete and probably not available any more (?). If you must have Reader 7, it might be possible to build it from the srpm.

tbolt
Posts: 12
Joined: 2009/04/21 22:15:42

Re: Where can I find the libstdc++.so.6(GLIBCXX_3.4.5)rpm for CentOS 4.6?

Post by tbolt » 2009/05/06 03:20:31

Thanks for all the replies.

I got Acrobat 7.0 running for my application after re-installing CentOS and my app.

A script allowed me to add the PATH to .bashrc (the equivalent to .cshrc ?)

I can't seem to do a find on either one of them??

I'm running CentOS 4.7 now with all the updates.

Post Reply

Return to “CentOS 4 - Software Support”